For Developers
Fetch Sync Changes
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/syncs/:sync_id/changes
Returns record counts and changed entities tracked during this sync run.
Permissions
Requires the syncs.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
:sync_id | UUID | Yes | The ID of the sync. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/syncs/${sync_id}/changes`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": []
}
